!
! An attempt to resolve the chicken-and-egg dilema around type definitions and parameters
! that must be defined once and only once.
!
INTEGER, PARAMETER :: MAXRG=4096         ! Maximum number of Range Gates
INTEGER, PARAMETER :: MAXRX=8            ! Maximum number of Receivers
INTEGER, PARAMETER :: MAXPRI=128          ! Maximum number of PRI's to be processed together.
INTEGER, PARAMETER :: MAXSHUFFLE=5       ! Maximum number of shuffled data sets in the file
INTEGER, PARAMETER :: MAXINTERCEPT=3000  ! Maximum number of intercepts
INTEGER, PARAMETER :: MAXBIN=180         ! Maximum number of bins in a PDF
INTEGER, PARAMETER :: MAXSTATS=10        ! Maximum number of statisitics from a single PRI 
!
REAL,PARAMETER :: PI=4.0*ATAN(1.0)
REAL,PARAMETER :: TWOPI=2.0*PI
REAL,PARAMETER :: DpR = 180.0/PI
REAL,PARAMETER :: c=299792458.0
REAL,PARAMETER::US=1.0E-6  ! Microseconds
REAL,PARAMETER::KHZ=1.0E-3 ! Kilohertz
REAL,PARAMETER::KM=0.0150  ! 10us range gates
!
!
! Math opreations on these user defined types suck.  Use arrays
!TYPE:: V3D
!   REAL:: X,Y,Z
!END TYPE V3D
!TYPE V2D
!   REAL::X,Y
!END TYPE V2D
